export declare enum ServerMode {
    local = "LOCAL",
    online = "ONLINE"
}
export declare enum IdePluginType {
    lowcodePage = "lowcodePage",
    localRoute = "localRoute",
    iframe = "iframe"
}
export interface IIdePlugin {
    title: string;
    code: string;
    icon?: string;
    order?: number;
    type?: IdePluginType;
    url: string;
    disabled?: boolean;
}
export interface IGlobalConfig {
    title?: string;
    login?: boolean;
    'app.dengine.mode'?: ServerMode;
    'app.dengine.provider'?: string;
    'app.dengine.file.dir'?: string;
    'app.dengine.file.format'?: string;
    'ui.readOnly'?: boolean;
    'ide.plugins'?: IIdePlugin[];
    ide?: {
        title?: string;
        docUrl?: string;
    };
}
export declare function getConfig(): Promise<IGlobalConfig>;
